Index: branches/HTM-14.1-update-dev4-RWTH/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1229)
@@ -2287,5 +2287,5 @@
 
   dimBitOffset[ 0 ] = 0; 
-  for (Int j = 1; j <= ((Int) m_dimIds.size() - m_splittingFlag ? 1 : 0); j++ )
+  for (Int j = 1; j <= (((Int) m_dimIds.size() - m_splittingFlag) ? 1 : 0); j++ )
   {
     dimBitOffset[ j ] = dimBitOffset[ j - 1 ] + m_dimensionIdLen[ j - 1]; 
Index: branches/HTM-14.1-update-dev4-RWTH/source/App/TAppRenderer/TAppRendererCfg.cpp
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/App/TAppRenderer/TAppRendererCfg.cpp	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/App/TAppRenderer/TAppRendererCfg.cpp	(revision 1229)
@@ -306,11 +306,11 @@
 
   Int iNumNonNULL;
-  for (iNumNonNULL = 0; (iNumNonNULL < m_iNumberOfInputViews)  && m_pchDepthInputFileList[iNumNonNULL]; iNumNonNULL++);  xConfirmPara( iNumNonNULL < m_iNumberOfInputViews,  "Number of DepthInputFiles  must be greater than or equal to number of BaseViewNumbers" );
-  for (iNumNonNULL = 0; (iNumNonNULL < m_iNumberOfInputViews)  && m_pchVideoInputFileList[iNumNonNULL]; iNumNonNULL++);  xConfirmPara( iNumNonNULL < m_iNumberOfInputViews,  "Number of DepthInputFiles  must be greater than or equal to number of BaseViewNumbers" );
+  for (iNumNonNULL = 0; (iNumNonNULL < m_iNumberOfInputViews)  && m_pchDepthInputFileList[iNumNonNULL]; iNumNonNULL++)  xConfirmPara( iNumNonNULL < m_iNumberOfInputViews,  "Number of DepthInputFiles  must be greater than or equal to number of BaseViewNumbers" );
+  for (iNumNonNULL = 0; (iNumNonNULL < m_iNumberOfInputViews)  && m_pchVideoInputFileList[iNumNonNULL]; iNumNonNULL++)  xConfirmPara( iNumNonNULL < m_iNumberOfInputViews,  "Number of DepthInputFiles  must be greater than or equal to number of BaseViewNumbers" );
 
 
   if ( !m_bSweep )
   {
-  for (iNumNonNULL = 0; (iNumNonNULL < m_iNumberOfOutputViews) && m_pchSynthOutputFileList[iNumNonNULL]; iNumNonNULL++); xConfirmPara( iNumNonNULL < m_iNumberOfOutputViews, "Number of SynthOutputFiles must be greater than or equal to number of SynthViewNumbers" );
+  for (iNumNonNULL = 0; (iNumNonNULL < m_iNumberOfOutputViews) && m_pchSynthOutputFileList[iNumNonNULL]; iNumNonNULL++)  xConfirmPara( iNumNonNULL < m_iNumberOfOutputViews, "Number of SynthOutputFiles must be greater than or equal to number of SynthViewNumbers" );
   }
   else
Index: branches/HTM-14.1-update-dev4-RWTH/source/Lib/TAppCommon/TAppComCamPara.cpp
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1229)
@@ -1373,7 +1373,7 @@
   Int  iSourceViewNum = m_aiBaseViews[ iViewIdx ];
   Double dBaseLine = 0.0;
-  Double dFL1, dCS1, dCP1, dZN1, dZF1; 
-  Bool bInterpolated;
-  double dPos[3];
+  Double dFL1 = 1.0, dCS1 = 1.0, dCP1 = 1.0, dZN1 = 1.0, dZF1 = 1.0;
+  Bool bInterpolated = false;
+  double dPos[3] = {0.0, 0.0, 0.0};
 
   if( m_iNumberOfBaseViews == 3 )
Index: branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibCommon/TComSlice.cpp	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibCommon/TComSlice.cpp	(revision 1229)
@@ -2032,6 +2032,6 @@
 Int TComVPS::scalTypeToScalIdx( ScalabilityType scalType ) const
 {
-  assert( scalType >= 0 && scalType <= MAX_NUM_SCALABILITY_TYPES ); 
-  assert( scalType == MAX_NUM_SCALABILITY_TYPES || getScalabilityMaskFlag( scalType ) );
+  assert( (Int)scalType >= 0 && (Int)scalType <= MAX_NUM_SCALABILITY_TYPES );
+  assert( (Int)scalType == MAX_NUM_SCALABILITY_TYPES || getScalabilityMaskFlag( scalType ) );
   Int scalIdx = 0; 
   for( Int curScalType = 0; curScalType < scalType; curScalType++ )
Index: branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1229)
@@ -1840,5 +1840,5 @@
   else
   {
-    vpsVui->setVpsNumVideoSignalInfoMinus1( pcVPS->getMaxLayersMinus1() - pcVPS->getVpsBaseLayerInternalFlag() ? 0 : 1 ); 
+    vpsVui->setVpsNumVideoSignalInfoMinus1( (pcVPS->getMaxLayersMinus1() - pcVPS->getVpsBaseLayerInternalFlag()) ? 0 : 1 );
   }
 
Index: branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecGop.h
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecGop.h	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecGop.h	(revision 1229)
@@ -81,5 +81,5 @@
   TComLoopFilter*       m_pcLoopFilter;
 #if NH_MV
-  TDecTop*              m_decTop; 
+  //TDecTop*              m_decTop;
 #endif
 
Index: branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1229)
@@ -2546,5 +2546,5 @@
   UInt uiSymbol = 0;
   
-  m_pcTDecBinIf->decodeBin( uiSymbol, m_cDBBPFlagSCModel.get( 0, 0, 0 ) );
+  m_pcTDecBinIf->decodeBin( uiSymbol, m_cDBBPFlagSCModel.get( 0, 0, 0 ) RExt__DECODER_DEBUG_BIT_STATISTICS_PASS_OPT_ARG(STATS__CABAC_BITS__MERGE_INDEX) );
   DTRACE_CU("dbbp_flag", uiSymbol)
   PartSize ePartSize = pcCU->getPartitionSize( uiAbsPartIdx );
Index: branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecTop.h	(revision 1228)
+++ branches/HTM-14.1-update-dev4-RWTH/source/Lib/TLibDecoder/TDecTop.h	(revision 1229)
@@ -107,5 +107,5 @@
   UInt    m_uiBitDepthForLUT;
   UInt    m_iLog2Precision;
-  UInt    m_uiInputBitDepth;
+  //UInt    m_uiInputBitDepth;
 
   // look-up tables