Index: branches/SHM-dev/source/Lib/TLibCommon/SEI.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/SEI.h	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibCommon/SEI.h	(revision 1230)
@@ -444,5 +444,5 @@
   Int    m_exposureIndexIdc;
   Int    m_exposureIndexValue;
-  Int    m_exposureCompensationValueSignFlag;
+  Bool   m_exposureCompensationValueSignFlag;
   Int    m_exposureCompensationValueNumerator;
   Int    m_exposureCompensationValueDenomIdc;
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1230)
@@ -88,5 +88,5 @@
 , m_pcTrQuant                     ( NULL )
 #endif
-, m_colFromL0Flag                 ( 1 )
+, m_colFromL0Flag                 ( true )
 , m_noOutputPriorPicsFlag         ( false )
 , m_noRaslOutputFlag              ( false )
@@ -200,5 +200,5 @@
     m_aiNumRefIdx[i]      = 0;
   }
-  m_colFromL0Flag = 1;
+  m_colFromL0Flag = true;
 
   m_colRefIdx = 0;
@@ -2283,5 +2283,5 @@
 , m_numTileRowsMinus1                (0)
 , m_numSubstreams                    (1)
-, m_signHideFlag                     (0)
+, m_signHideFlag                     (false)
 , m_cabacInitPresentFlag             (false)
 , m_encCABACTableIdx                 (I_SLICE)
@@ -2523,6 +2523,6 @@
 
 TComRefPicListModification::TComRefPicListModification()
-: m_bRefPicListModificationFlagL0 (false)
-, m_bRefPicListModificationFlagL1 (false)
+: m_refPicListModificationFlagL0 (false)
+, m_refPicListModificationFlagL1 (false)
 {
   ::memset( m_RefPicSetIdxL0, 0, sizeof(m_RefPicSetIdxL0) );
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1230)
@@ -285,5 +285,5 @@
   UInt cpbSizeValue      [MAX_CPB_CNT][2];
   UInt ducpbSizeValue    [MAX_CPB_CNT][2];
-  UInt cbrFlag           [MAX_CPB_CNT][2];
+  Bool cbrFlag           [MAX_CPB_CNT][2];
   UInt duBitRateValue    [MAX_CPB_CNT][2];
 };
@@ -388,5 +388,5 @@
   Void setDuBitRateValueMinus1     ( Int layer, Int cpbcnt, Int nalOrVcl, UInt value ) { m_HRD[layer].duBitRateValue[cpbcnt][nalOrVcl] = value;       }
   UInt getDuBitRateValueMinus1     (Int layer, Int cpbcnt, Int nalOrVcl )              { return m_HRD[layer].duBitRateValue[cpbcnt][nalOrVcl];        }
-  Void setCbrFlag                ( Int layer, Int cpbcnt, Int nalOrVcl, UInt value ) { m_HRD[layer].cbrFlag[cpbcnt][nalOrVcl] = value;            }
+  Void setCbrFlag                ( Int layer, Int cpbcnt, Int nalOrVcl, Bool value ) { m_HRD[layer].cbrFlag[cpbcnt][nalOrVcl] = value;            }
   Bool getCbrFlag                ( Int layer, Int cpbcnt, Int nalOrVcl             ) { return m_HRD[layer].cbrFlag[cpbcnt][nalOrVcl];             }
 
@@ -1551,6 +1551,6 @@
 {
 private:
-  UInt      m_bRefPicListModificationFlagL0;
-  UInt      m_bRefPicListModificationFlagL1;
+  Bool      m_refPicListModificationFlagL0;
+  Bool      m_refPicListModificationFlagL1;
   UInt      m_RefPicSetIdxL0[REF_PIC_LIST_NUM_IDX];
   UInt      m_RefPicSetIdxL1[REF_PIC_LIST_NUM_IDX];
@@ -1563,8 +1563,8 @@
   Void  destroy                   ();
 
-  Bool       getRefPicListModificationFlagL0() { return m_bRefPicListModificationFlagL0; }
-  Void       setRefPicListModificationFlagL0(Bool flag) { m_bRefPicListModificationFlagL0 = flag; }
-  Bool       getRefPicListModificationFlagL1() { return m_bRefPicListModificationFlagL1; }
-  Void       setRefPicListModificationFlagL1(Bool flag) { m_bRefPicListModificationFlagL1 = flag; }
+  Bool       getRefPicListModificationFlagL0() { return m_refPicListModificationFlagL0; }
+  Void       setRefPicListModificationFlagL0(Bool flag) { m_refPicListModificationFlagL0 = flag; }
+  Bool       getRefPicListModificationFlagL1() { return m_refPicListModificationFlagL1; }
+  Void       setRefPicListModificationFlagL1(Bool flag) { m_refPicListModificationFlagL1 = flag; }
   Void       setRefPicSetIdxL0(UInt idx, UInt refPicSetIdx) { assert(idx<REF_PIC_LIST_NUM_IDX); m_RefPicSetIdxL0[idx] = refPicSetIdx; }
   UInt       getRefPicSetIdxL0(UInt idx) { assert(idx<REF_PIC_LIST_NUM_IDX); return m_RefPicSetIdxL0[idx]; }
@@ -1622,5 +1622,5 @@
   Int      m_numSubstreams;
 
-  Int      m_signHideFlag;
+  Bool     m_signHideFlag;
 
   Bool     m_cabacInitPresentFlag;
@@ -1755,6 +1755,6 @@
   Int      getNumSubstreams    ()                                      { return m_numSubstreams; }
 
-  Void      setSignHideFlag( Int signHideFlag ) { m_signHideFlag = signHideFlag; }
-  Int       getSignHideFlag()                    { return m_signHideFlag; }
+  Void      setSignHideFlag( Bool signHideFlag ) { m_signHideFlag = signHideFlag; }
+  Bool      getSignHideFlag()                    { return m_signHideFlag; }
 
   Void     setCabacInitPresentFlag( Bool flag )     { m_cabacInitPresentFlag = flag;    }
@@ -1919,5 +1919,5 @@
   TComTrQuant* m_pcTrQuant;
 #endif
-  UInt        m_colFromL0Flag;  // collocated picture from List0 flag
+  Bool        m_colFromL0Flag;  // collocated picture from List0 flag
 
   Bool        m_noOutputPriorPicsFlag;
@@ -2063,5 +2063,5 @@
   Int       getRefPOC           ( RefPicList e, Int iRefIdx)    { return  m_aiRefPOCList[e][iRefIdx];   }
   Int       getDepth            ()                              { return  m_iDepth;                     }
-  UInt      getColFromL0Flag    ()                              { return  m_colFromL0Flag;              }
+  Bool      getColFromL0Flag    ()                              { return  m_colFromL0Flag;              }
   UInt      getColRefIdx        ()                              { return  m_colRefIdx;                  }
   Void      checkColRefIdx      (UInt curSliceIdx, TComPic* pic);
@@ -2121,5 +2121,5 @@
 #endif
   Void      setRefPOCList       ();
-  Void      setColFromL0Flag    ( UInt colFromL0 ) { m_colFromL0Flag = colFromL0; }
+  Void      setColFromL0Flag    ( Bool colFromL0 ) { m_colFromL0Flag = colFromL0; }
   Void      setColRefIdx        ( UInt refIdx) { m_colRefIdx = refIdx; }
   Void      setCheckLDC         ( Bool b )                      { m_bCheckLDC = b; }
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1230)
@@ -1383,5 +1383,5 @@
               READ_CODE(bitsForLtrpInSPS, uiCode, "lt_idx_sps[i]");
             }
-            Int usedByCurrFromSPS=pcSlice->getSPS()->getUsedByCurrPicLtSPSFlag(uiCode);
+            Bool usedByCurrFromSPS=pcSlice->getSPS()->getUsedByCurrPicLtSPSFlag(uiCode);
 
             pocLsbLt = pcSlice->getSPS()->getLtRefPicPocLsbSps(uiCode);
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecGop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecGop.cpp	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecGop.cpp	(revision 1230)
@@ -141,5 +141,4 @@
 
   const UInt uiNumSubstreams = pcSlice->getNumberOfSubstreamSizes()+1;
-//  const UInt uiNumSubstreams = pcSlice->getPPS()->getEntropyCodingSyncEnabledFlag() ? pcSlice->getNumberOfSubstreamSizes()+1 : pcSlice->getPPS()->getNumSubstreams();
 
   // init each couple {EntropyDecoder, Substream}
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1230)
@@ -1299,5 +1299,5 @@
   else
   {
-    beValid = pcCU->getSlice()->getPPS()->getSignHideFlag() > 0;
+    beValid = pcCU->getSlice()->getPPS()->getSignHideFlag();
   }
 
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1230)
@@ -261,5 +261,5 @@
   Int       m_exposureIndexIdc;
   Int       m_exposureIndexValue;
-  Int       m_exposureCompensationValueSignFlag;
+  Bool      m_exposureCompensationValueSignFlag;
   Int       m_exposureCompensationValueNumerator;
   Int       m_exposureCompensationValueDenomIdc;
@@ -312,5 +312,5 @@
   Char*     m_scalingListFile;          ///< quantization matrix file name
   Int       m_TMVPModeId;
-  Int       m_signHideFlag;
+  Bool      m_signHideFlag;
   Bool      m_RCEnableRateControl;
   Int       m_RCTargetBitrate;
@@ -750,6 +750,6 @@
   Void  setTMISEIExposureIndexValue(Int b)                           { m_exposureIndexValue = b;  }
   Int   getTMISEIExposurIndexValue()                                 { return m_exposureIndexValue;  }
-  Void  setTMISEIExposureCompensationValueSignFlag(Int b)            { m_exposureCompensationValueSignFlag = b;  }
-  Int   getTMISEIExposureCompensationValueSignFlag()                 { return m_exposureCompensationValueSignFlag;  }
+  Void  setTMISEIExposureCompensationValueSignFlag(Bool b)           { m_exposureCompensationValueSignFlag = b;  }
+  Bool  getTMISEIExposureCompensationValueSignFlag()                 { return m_exposureCompensationValueSignFlag;  }
   Void  setTMISEIExposureCompensationValueNumerator(Int b)           { m_exposureCompensationValueNumerator = b;  }
   Int   getTMISEIExposureCompensationValueNumerator()                { return m_exposureCompensationValueNumerator;  }
@@ -845,6 +845,6 @@
   Void         setTMVPModeId ( Int  u )                              { m_TMVPModeId = u;    }
   Int          getTMVPModeId ()                                      { return m_TMVPModeId; }
-  Void         setSignHideFlag( Int signHideFlag )                   { m_signHideFlag = signHideFlag; }
-  Int          getSignHideFlag()                                     { return m_signHideFlag; }
+  Void         setSignHideFlag( Bool signHideFlag )                  { m_signHideFlag = signHideFlag; }
+  Bool         getSignHideFlag()                                     { return m_signHideFlag; }
   Bool         getUseRateCtrl         ()                             { return m_RCEnableRateControl;   }
   Void         setUseRateCtrl         ( Bool b )                     { m_RCEnableRateControl = b;      }
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1229)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1230)
@@ -1271,5 +1271,5 @@
     else
     {
-      beValid = pcCU->getSlice()->getPPS()->getSignHideFlag() > 0;
+      beValid = pcCU->getSlice()->getPPS()->getSignHideFlag();
     }
   }