Index: branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1227)
+++ branches/HTM-14.1-update-dev1-RWTH/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1236)
@@ -2484,15 +2484,4 @@
       
       dlt.setUseBitmapRep(layer, bDltBitMapRepFlag);
-      
-//#ifdef DEBUG
-//      printf("---------------------------------------------\n");
-//      printf("LayerId: %d\n", layer);
-//      printf("getUseDLTFlag: %d\n", dlt.getUseDLTFlag(layer));
-//      printf("getInterViewDltPredEnableFlag: %d\n", dlt.getInterViewDltPredEnableFlag(layer));
-//      printf("getUseBitmapRep: %d\n", dlt.getUseBitmapRep(layer));
-//      printf("getNumDepthValues: %d\n", dlt.getNumDepthValues(layer));
-//      for(Int i=0; i<dlt.getNumDepthValues(layer); i++)
-//        printf("depthValue[%d] = %d\n", i, dlt.idx2DepthValue(layer, i));
-//#endif
     }
   }
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TypeDef.h	(revision 1227)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibCommon/TypeDef.h	(revision 1236)
@@ -70,5 +70,5 @@
 #define NH_3D_VSO                         1
 #define NH_3D_DMM                         1   // Depth modeling modes
-#define NH_3D_DLT                         0   // Depth Lookup Table
+#define NH_3D_DLT                         1   // Depth Lookup Table
 #define NH_3D_SDC_INTRA                   1   // Segment-wise DC Coding method for INTRA
 #define NH_3D_SDC_INTER                   0   // Segment-wise DC Coding method for INTER  
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1227)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1236)
@@ -546,5 +546,5 @@
         
         UInt uiNumDepthValues = 0;
-        std::vector<Int> aiIdx2DepthValue(256);
+        std::vector<Int> aiIdx2DepthValue(256, 0);
         
         // Bit map
@@ -627,15 +627,4 @@
           pcDLT->setDepthLUTs(layerId, aiIdx2DepthValue, uiNumDepthValues);
         }
-        
-//#ifdef DEBUG
-//        printf("---------------------------------------------\n");
-//        printf("LayerId: %d\n", layerId);
-//        printf("getUseDLTFlag: %d\n", pcDLT->getUseDLTFlag(layerId));
-//        printf("getInterViewDltPredEnableFlag: %d\n", pcDLT->getInterViewDltPredEnableFlag(layerId));
-//        printf("getUseBitmapRep: %d\n", pcDLT->getUseBitmapRep(layerId));
-//        printf("getNumDepthValues: %d\n", pcDLT->getNumDepthValues(layerId));
-//        for(Int i=0; i<pcDLT->getNumDepthValues(layerId); i++)
-//          printf("depthValue[%d] = %d\n", i, pcDLT->idx2DepthValue(layerId, i));
-//#endif
       }
     }
Index: branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1227)
+++ branches/HTM-14.1-update-dev1-RWTH/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1236)
@@ -3344,13 +3344,13 @@
 #endif
 #if NH_3D_ENC_DEPTH
-          UInt zeroResiTest = (pcCU->getSlice()->getIsDepth() && !pcCU->getSlice()->isIRAP()) ? 1 : 0;
+          Bool zeroResiTest = (pcCU->getSlice()->getIsDepth() && !pcCU->getSlice()->isIRAP());
 #if NH_3D_SDC_INTRA
           zeroResiTest |= pcCU->getSDCFlag(uiPartOffset);
           if( uiSDC != 0 && iSDCDeltaResi != 0 )
           {
-            zeroResiTest = 0;
+            zeroResiTest = false;
           }
 #endif
-          for( UInt zeroResi = 0; zeroResi <= zeroResiTest; zeroResi++ )
+          for( UInt zeroResi = 0; zeroResi <= zeroResiTest?1:0; zeroResi++ )
           {
 #endif